package VistaControlador;

import java.awt.Frame;
import java.awt.GridBagConstraints;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.time.Year;

import javax.swing.JFrame;

import org.jfree.chart.ChartFactory;
import org.jfree.chart.ChartFrame;
import org.jfree.chart.JFreeChart;
import org.jfree.data.time.Month;
import org.jfree.data.xy.XYSeries;
import org.jfree.data.xy.XYSeriesCollection;

import com.github.lgooddatepicker.components.DatePicker;
import com.github.lgooddatepicker.optionalusertools.DateChangeListener;
import com.github.lgooddatepicker.zinternaltools.DateChangeEvent;
import com.github.lgooddatepicker.zinternaltools.DemoPanel;
public class ControladorPanelLateral implements ActionListener, DateChangeListener{
	private VistaPanelLateral vista;
	private java.time.Month mes;
	private int anio;
	
	
	public ControladorPanelLateral(VistaPanelLateral vista) {
		this.vista = vista;
		this.aniadirElementos();
	}
	
	public void actionPerformed(ActionEvent e) {
		if(e.getActionCommand().equals(this.vista.mostrarEstadisticas.getActionCommand())) {
			
			XYSeries serie = new XYSeries("Mes");
			serie.add(10,1);
			serie.add(4,2);
			serie.add(90,10);
			XYSeriesCollection dataset = new XYSeriesCollection(serie);
			JFreeChart chart = ChartFactory.createXYLineChart("Mes", "Dias", "Gastos", dataset);
			ChartFrame frame = new ChartFrame("Estadisricas", chart);
			frame.setVisible(true);
			frame.setSize(700,500);
		}
		
	}
	
	private void aniadirElementos() {
		this.vista.mostrarEstadisticas.addActionListener(this);
		this.vista.mostrarEstadisticas.setActionCommand("Mostrar estadisticas");
		if(VistaPanelLateral.elegirMes.getDateChangeListeners().size() == 0) {
			VistaPanelLateral.elegirMes.addDateChangeListener(this);
			this.mes=VistaPanelLateral.elegirMes.getDate().getMonth();
			this.anio=VistaPanelLateral.elegirMes.getDate().getYear();
		}
	}

	public void dateChanged(DateChangeEvent arg0) {
		if(this.mes!=VistaPanelLateral.elegirMes.getDate().getMonth() || 
				this.anio!=VistaPanelLateral.elegirMes.getDate().getYear()) {
			System.out.println("Cambia mes");
			this.mes=VistaPanelLateral.elegirMes.getDate().getMonth();
			this.anio=VistaPanelLateral.elegirMes.getDate().getYear();
		}
		
	}

}
